Difference between revisions of "Download Navit"

From Navit's Wiki
Jump to: navigation, search
(remix)
m (svn -> github)
 
(9 intermediate revisions by 3 users not shown)
Line 1: Line 1:
{{OutOfDate}}
+
Most operating systems contain package managers, which usually already contain Navit packages. Unfortunatly, they are mostly outdated, so we recommend to use github sources:
 +
* https://github.com/navit-gps/navit/
 
{{note
 
{{note
|NAVIT is under heavy development, so recommend to use the '''up to date SVN version''' to get the newest features and bug fixes!
+
|NAVIT is under heavy development, so recommend to use the '''up to date Github version''' to get the newest features and bug fixes!
 
}}
 
}}
  
 
= Portable devices =
 
= Portable devices =
If you can't find you platform, check [[Impossible ports]] and call the [[team]]
+
If you can't find you platform, check [[Impossible ports]] and ask at [[contacts]]
  
 
* [[Android]]
 
* [[Android]]
Line 15: Line 16:
 
* [[WebOS]]
 
* [[WebOS]]
 
* [[WinCE]] (see also [[Windows#Windows_Mobile.2FWindows_CE|Navit on Windows]])
 
* [[WinCE]] (see also [[Windows#Windows_Mobile.2FWindows_CE|Navit on Windows]])
 
+
* [[Sailfish OS]]
  
  
Line 21: Line 22:
  
 
== ArchLinux ==
 
== ArchLinux ==
If you want to install the svn version of Navit on ArchLinux you can build it by using the [http://aur.archlinux.org/packages.php?ID=18799 PKGBUILD] from AUR
+
If you want to install the SVN version of Navit on ArchLinux you can build it by using the [https://aur.archlinux.org/packages/navit/ PKGBUILD] from AUR
 
 
  
 
== Debian ==
 
== Debian ==
Packages for [http://navit.latouche.info/debian/lenny lenny] (i386 and amd64) and [http://navit.latouche.info/debian/sid sid] (i386 and amd64), updated at least every night (see http://navit.latouche.info/debian/ for the most up-to-date list of releases and architectures). If you want an other architectures to be built, [mailto:navit@latouche.info send me an email].
+
unofficial packages available on the repositories of all currently supported versions
 
 
You can add one of the following line to you /etc/apt/sources.list:
 
* deb http://navit.latouche.info/debian lenny main
 
* deb http://navit.latouche.info/debian sid main
 
 
 
Note: The compiled packages are for i386 and x86_64 platforms
 
 
 
For those willing to priorities those packages over the one of your distrib, you can put the following in /etc/apt/preferences:
 
  Package: navit
 
  Pin: release o=latouche
 
  Pin-Priority: 9999
 
 
 
 
 
== eeePC ==
 
''Note: These packages seem to no longer be maintained.''
 
[http://www.yet-another-geek.org/categories/11-eeePC Packages for the eeePC], built from CVS on an irregular basis.
 
 
 
  
 
== Fedora ==
 
== Fedora ==
 
+
''currently no unofficial packages''
These packages follow the svn build:
 
 
 
[http://download.opensuse.org/repositories/Application:/Geo/Fedora_10 The rpm package for Fedora 10]
 
  
  
 
== Gentoo ==
 
== Gentoo ==
Navit is built from svn, so it is marked as live-overlay. Therefore it is masked and cannot be installed without further means. You have to insert a new line to /etc/portage/package.keywords:
+
Navit is built from SVN, so it is marked as live-overlay. Therefore it is masked and cannot be installed without further means. You have to insert a new line to /etc/portage/package.keywords:
  
  =app-misc/navit-9999 **
+
  =sci-geosciences/navit-9999-r1 **
  
Ebuild available in the [http://overlays.gentoo.org/proj/sunrise sunrise overlay]
+
Ebuild available in the [https://github.com/l29ah/booboo booboo overlay]
  
 
Information on using Gentoo overlays can be found [http://www.gentoo.org/proj/en/overlays/userguide.xml here]
 
Information on using Gentoo overlays can be found [http://www.gentoo.org/proj/en/overlays/userguide.xml here]
Line 62: Line 42:
  
 
== openSuSE ==
 
== openSuSE ==
 
+
unofficial packages available from the open build service for openSUSE Tumbleweed, Leap 42.2 and Leap 42.3
'''These packages follow the svn build:'''
 
 
 
* [http://software.opensuse.org/ymp/Application:Geo/openSUSE_10.3/navit.ymp 1-Click Install for openSUSE 10.3]
 
* [http://software.opensuse.org/ymp/Application:Geo/openSUSE_11.0/navit.ymp 1-Click Install for openSUSE 11.0]
 
* [http://software.opensuse.org/ymp/Application:Geo/openSUSE_11.1/navit.ymp 1-Click Install for openSUSE 11.1]
 
* [http://software.opensuse.org/ymp/Application:Geo/openSUSE_Factory/navit.ymp 1-Click Install for openSUSE Factory]
 
  
  
 
== Ubuntu ==
 
== Ubuntu ==
{{note|The compiled packages are for i386 and x86_64 platforms.<br>Packages for Gutsy are no more build, please upgrade your OS}}
+
unofficial packages available on the universe repository of all currently supported versions
Packages for [http://navit.latouche.info/ubuntu/gutsy gutsy] (i386 only), [http://navit.latouche.info/ubuntu/hardy hardy] (i386 and amd64) and [http://navit.latouche.info/ubuntu/intrepid intrepid] (i386 and amd64), [http://navit.latouche.info/ubuntu/jaunty jaunty] (i386 and amd64) and [http://navit.latouche.info/ubuntu/karmic karmic] (i386 and amd64) updated often (see http://navit.latouche.info/ubuntu/ for the most up-to-date list of releases and architectures). If you want an other architectures to be built, [mailto:navit@latouche.info send me an email].
 
 
 
You can add one of the following line to you /etc/apt/sources.list:
 
* deb http://navit.latouche.info/ubuntu gutsy main
 
* deb http://navit.latouche.info/ubuntu hardy main
 
* deb http://navit.latouche.info/ubuntu intrepid main
 
* deb http://navit.latouche.info/ubuntu jaunty main
 
* deb http://navit.latouche.info/ubuntu karmic main
 
* deb http://navit.latouche.info/ubuntu lucid main
 
 
 
and add the key to the Ubuntu keyring:
 
gpg --keyserver hkp://subkeys.pgp.net --recv-keys CB229096
 
gpg --export -a CB229096 | sudo apt-key add -
 
 
 
For those willing to priorities those packages over the one of your distrib, you can put the following in /etc/apt/preferences:
 
  Package: navit
 
  Pin: release o=latouche
 
  Pin-Priority: 9999
 
 
 
  
 
= Building=
 
= Building=
  
==Releases==
+
See [[Development]]
The latest official release source-code can be downloaded from Navit's project page on sourceforge:
 
http://sourceforge.net/project/platformdownload.php?group_id=153410
 
 
 
==SVN==
 
If you want the bleeding-edge version of Navit, checkout the source from the SVN repository:
 
svn co https://navit.svn.sourceforge.net/svnroot/navit/trunk/navit
 
 
 
You can browse the code without downloading anything at [http://navit.svn.sourceforge.net/viewvc/navit/ Sourceforge].
 
 
 
'''Nightly builds''' from the SVN source are made for a variety of architectures, including Linux, WinCE and Android. You can find them in our [http://download.navit-project.org/navit/ download repository]. If you want to compile the SVN source go to [[Linux]].
 
 
 
 
 
== Dependencies ==
 
* [[Dependencies]]
 
 
 
 
 
== Building/compiling Navit  ==
 
* [[Android development]]
 
* [[Ångström development]]
 
* [[OpenEmbedded development]]
 
* [[Linux development]]
 
* [[MacOS development]]
 
* [[Openmoko development]]
 
* [[Scratchbox development]]
 
* [[TomTom development]] (additional, older information at [http://opentom.org/Navit OpenTom])
 
* [[Windows development]]
 
* [[WinCE development]]
 
  
 
[[Category:Ports]]
 
[[Category:Ports]]
 
[[Category:Support]]
 
[[Category:Support]]

Latest revision as of 18:06, 4 November 2017

Most operating systems contain package managers, which usually already contain Navit packages. Unfortunatly, they are mostly outdated, so we recommend to use github sources:

Portable devices[edit]

If you can't find you platform, check Impossible ports and ask at contacts


Desktop[edit]

ArchLinux[edit]

If you want to install the SVN version of Navit on ArchLinux you can build it by using the PKGBUILD from AUR

Debian[edit]

unofficial packages available on the repositories of all currently supported versions

Fedora[edit]

currently no unofficial packages


Gentoo[edit]

Navit is built from SVN, so it is marked as live-overlay. Therefore it is masked and cannot be installed without further means. You have to insert a new line to /etc/portage/package.keywords:

=sci-geosciences/navit-9999-r1 **

Ebuild available in the booboo overlay

Information on using Gentoo overlays can be found here


openSuSE[edit]

unofficial packages available from the open build service for openSUSE Tumbleweed, Leap 42.2 and Leap 42.3


Ubuntu[edit]

unofficial packages available on the universe repository of all currently supported versions

Building[edit]

See Development